//	CAppearance.h

#ifndef _H_CAppearance
#define _H_CAppearance

enum {
	APR_Color_WHITE, 
	APR_Color_VERY_LIGHT, 
	APR_Color_LIGHT, 
	APR_Color_MEDIUM, 
	APR_Color_DARK, 
	APR_Color_VERY_DARK, 
	APR_Color_BLACK
};
typedef short	APR_ColorType;

Boolean		APR_IsEnabled(void);
void		APR_SetEnabled(Boolean enabledB);

RGBColor	*APR_GetColor(APR_ColorType colorType, RGBColor *theColor);
void		APR_SetBackColor(APR_ColorType colorType);
void		APR_SetColor(APR_ColorType colorType);

void		APR_BevelFrame(Rect *theRect);
void		APR_BevelButton(Rect *theRect, unsigned char *buttonStr, Boolean pressedB);

#endif